<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>TextSpecInfoRun (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="TextSpecInfoRun (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextSpecInfoRun.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/TextSpecInfoAtom.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.SpellInfoEnum.html"
               title="enum in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/TextSpecInfoRun.html" target="_top">Frames</a>
        </li>
        <li><a href="TextSpecInfoRun.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.record</div>
    <h2 title="Class TextSpecInfoRun" class="title">Class TextSpecInfoRun</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hslf.record.TextSpecInfoRun</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">TextSpecInfoRun</span>
extends java.lang.Object</pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.SpellInfoEnum.html"
                                        title="enum in org.apache.poi.hslf.record">TextSpecInfoRun.SpellInfoEnum</a></span></code>
                                    <div class="block">A enum that specifies the spelling status of a run of text.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#TextSpecInfoRun-int-">TextSpecInfoRun</a></span>(int&nbsp;len)</code>
                                    <div class="block">Inits a TextSpecInfoRun with default values</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#TextSpecInfoRun-org.apache.poi.util.LittleEndianByteArrayInputStream-">TextSpecInfoRun</a></span>(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                        title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;source)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#getAltLangId--">getAltLangId</a></span>()</code>
                                    <div class="block">Alternate Windows LANGID of this text;
                                        must be a valid non-East Asian LANGID if the text has an East Asian language,
                                        otherwise may be an East Asian LANGID or language neutral (zero).
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.Boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#getBidi--">getBidi</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.lang.Boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#getGrammarError--">getGrammarError</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#getGrammarError-java.lang.Boolean-">getGrammarError</a></span>(java.lang.Boolean&nbsp;grammarError)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#getLangId--">getLangId</a></span>()</code>
                                    <div class="block">Windows LANGID for this text.</div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#getLength--">getLength</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#getPP10RunId--">getPP10RunId</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>byte[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#getSmartTagsBytes--">getSmartTagsBytes</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.SpellInfoEnum.html"
                                        title="enum in org.apache.poi.hslf.record">TextSpecInfoRun.SpellInfoEnum</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#getSpellInfo--">getSpellInfo</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#setAltLangId-short-">setAltLangId</a></span>(short&nbsp;altLangId)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#setBidi-java.lang.Boolean-">setBidi</a></span>(java.lang.Boolean&nbsp;bidi)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#setLangId-short-">setLangId</a></span>(short&nbsp;langId)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#setLength-int-">setLength</a></span>(int&nbsp;length)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#setPP10RunId-int-">setPP10RunId</a></span>(int&nbsp;pp10RunId)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#setSmartTagsBytes-byte:A-">setSmartTagsBytes</a></span>(byte[]&nbsp;smartTagsBytes)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#setSpellInfo-org.apache.poi.hslf.record.TextSpecInfoRun.SpellInfoEnum-">setSpellInfo</a></span>(<a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.SpellInfoEnum.html"
                                        title="enum in org.apache.poi.hslf.record">TextSpecInfoRun.SpellInfoEnum</a>&nbsp;spellInfo)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html#writeOut-java.io.OutputStream-">writeOut</a></span>(java.io.OutputStream&nbsp;out)</code>
                                    <div class="block">Write the contents of the record back, so it can be written
                                        to disk
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="TextSpecInfoRun-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TextSpecInfoRun</h4>
                                <pre>public&nbsp;TextSpecInfoRun(int&nbsp;len)</pre>
                                <div class="block">Inits a TextSpecInfoRun with default values</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>len</code> - the length of the one and only run</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="TextSpecInfoRun-org.apache.poi.util.LittleEndianByteArrayInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>TextSpecInfoRun</h4>
                                <pre>public&nbsp;TextSpecInfoRun(<a
                                        href="../../../../../org/apache/poi/util/LittleEndianByteArrayInputStream.html"
                                        title="class in org.apache.poi.util">LittleEndianByteArrayInputStream</a>&nbsp;source)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="writeOut-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeOut</h4>
                                <pre>public&nbsp;void&nbsp;writeOut(java.io.OutputStream&nbsp;out)
              throws java.io.IOException</pre>
                                <div class="block">Write the contents of the record back, so it can be written
                                    to disk
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>out</code> - the output stream to write to.</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - if an error occurs.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSpellInfo--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSpellInfo</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.SpellInfoEnum.html"
                                        title="enum in org.apache.poi.hslf.record">TextSpecInfoRun.SpellInfoEnum</a>&nbsp;getSpellInfo()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Spelling status of this text. null if not defined.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSpellInfo-org.apache.poi.hslf.record.TextSpecInfoRun.SpellInfoEnum-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSpellInfo</h4>
                                <pre>public&nbsp;void&nbsp;setSpellInfo(<a
                                        href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.SpellInfoEnum.html"
                                        title="enum in org.apache.poi.hslf.record">TextSpecInfoRun.SpellInfoEnum</a>&nbsp;spellInfo)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>spellInfo</code> - Spelling status of this text. null if not defined.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLangId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLangId</h4>
                                <pre>public&nbsp;short&nbsp;getLangId()</pre>
                                <div class="block">Windows LANGID for this text.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Windows LANGID for this text, -1 if it's not set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLangId-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLangId</h4>
                                <pre>public&nbsp;void&nbsp;setLangId(short&nbsp;langId)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>langId</code> - Windows LANGID for this text, -1 to unset</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAltLangId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAltLangId</h4>
                                <pre>public&nbsp;short&nbsp;getAltLangId()</pre>
                                <div class="block">Alternate Windows LANGID of this text;
                                    must be a valid non-East Asian LANGID if the text has an East Asian language,
                                    otherwise may be an East Asian LANGID or language neutral (zero).
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Alternate Windows LANGID of this text, -1 if it's not set</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAltLangId-short-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAltLangId</h4>
                                <pre>public&nbsp;void&nbsp;setAltLangId(short&nbsp;altLangId)</pre>
                            </li>
                        </ul>
                        <a name="getLength--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLength</h4>
                                <pre>public&nbsp;int&nbsp;getLength()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>Length of special info run.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLength-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLength</h4>
                                <pre>public&nbsp;void&nbsp;setLength(int&nbsp;length)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>length</code> - Length of special info run.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBidi--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBidi</h4>
                                <pre>public&nbsp;java.lang.Boolean&nbsp;getBidi()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the bidirectional characters flag. false = not bidi, true = is bidi, null = not
                                        set
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBidi-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBidi</h4>
                                <pre>public&nbsp;void&nbsp;setBidi(java.lang.Boolean&nbsp;bidi)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>bidi</code> - the bidirectional characters flag. false = not bidi, true =
                                        is bidi, null = not set
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSmartTagsBytes--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSmartTagsBytes</h4>
                                <pre>public&nbsp;byte[]&nbsp;getSmartTagsBytes()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the unparsed smart tags</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSmartTagsBytes-byte:A-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSmartTagsBytes</h4>
                                <pre>public&nbsp;void&nbsp;setSmartTagsBytes(byte[]&nbsp;smartTagsBytes)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>smartTagsBytes</code> - the unparsed smart tags, null to unset</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getPP10RunId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getPP10RunId</h4>
                                <pre>public&nbsp;int&nbsp;getPP10RunId()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an identifier for a character run that contains StyleTextProp11 data.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setPP10RunId-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setPP10RunId</h4>
                                <pre>public&nbsp;void&nbsp;setPP10RunId(int&nbsp;pp10RunId)</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pp10RunId</code> - an identifier for a character run that contains
                                        StyleTextProp11 data, -1 to unset
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getGrammarError--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGrammarError</h4>
                                <pre>public&nbsp;java.lang.Boolean&nbsp;getGrammarError()</pre>
                            </li>
                        </ul>
                        <a name="getGrammarError-java.lang.Boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getGrammarError</h4>
                                <pre>public&nbsp;void&nbsp;getGrammarError(java.lang.Boolean&nbsp;grammarError)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/TextSpecInfoRun.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/TextSpecInfoAtom.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.SpellInfoEnum.html"
               title="enum in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/TextSpecInfoRun.html" target="_top">Frames</a>
        </li>
        <li><a href="TextSpecInfoRun.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
